window.onerror=function(){return true;}
function kstatus(){self.status='※ 同时按下键盘上的Ctrl+D会有什么惊喜？※';setTimeout('kstatus()',3000);}kstatus();

function getdobf(_id){
  var theHttpRequest = getHttpObject();
  theHttpRequest.onreadystatechange = function() {processAJAX();};
  theHttpRequest.open("GET", "CHSHCMS.PHP", true);
  theHttpRequest.send(null);
    function processAJAX(){
        if(_id=="1"){
           document.getElementById("BfGo").innerHTML = "<a onClick=\"getdobf(0)\" href=\"/skins/skin_01/real/?ac=music&op=bo.php\" target=\"bfq\" title=\"切换到音乐播放器\">音乐</a>";
        }else{
           document.getElementById("BfGo").innerHTML = "<a onClick=\"getdobf(1)\" href=\"/skins/skin_01/real/?ac=dj\" target=\"bfq\" title=\"切换到DJ舞曲播放器\">舞曲</a>";
        }
   }
}

function ranArray(n)
{
        var a,r,l=n.length,x,d=new Array(l);
        for(x=l-1;x>=0;x--)
        {
                r=Math.floor(Math.random()*(x+1));
                d[x]=n[r];
                n[r]=n[x];
        }
        return d;
}
function SelectRandAll(form){
	var k=[];
	for(var i=0;i<form.checkbox.length;i++){
		var e = form.checkbox[i];
		e.checked = false;
		k[i]=i;
	}
	var newform=ranArray(k);
	var l=[];
	for (var i=0;i<newform.length && i<form.checkbox.length/2;i++){
		l[i]=newform[i];
		var e = form.checkbox[newform[i]];
		e.checked = true;
	}
}
<!--
var aid = new Array();
var channel = new Array();

function CheckAll(form){
    aid = new Array();
    channel = new Array();
	for (var i = 0; i < form.elements.length; i++){
		if (form.elements[i].type == "checkbox" && !form.elements[i].disabled){
			form.elements[i].checked = true;
		};
	};
	return true;
};
function CheckTurn(form){
    aid = new Array();
    channel = new Array();
	for (var i = 0; i < form.elements.length; i++){
		if (form.elements[i].type == "checkbox" && !form.elements[i].disabled){
			if (form.elements[i].checked){
				form.elements[i].checked = false;
			}else{
				form.elements[i].checked = true;
			};
		};
	};
	return true;
};
function CheckRun(form){
    aid = new Array();
    channel = new Array();
    for (var i = 0; i< form.elements.length; i++){
        if (form.elements[i].type == "checkbox" && !form.elements[i].disabled && form.elements[i].checked && form.elements[i].value != "" && form.elements[i].value.search(/,/)){
            aid.push(form.elements[i].value.split(",")[0]);
		    channel.push(form.elements[i].value.split(",")[1]);
        }
    }
    if(aid.length == 0){
        alert("请勾选您要播放的歌曲");
        return false;
    }
    //aid = aid.reverse();
    aid = aid.toString();
    var newWindow = window.open (''+web_url+'playsong.php?id=' + aid + '', 'dedemusicwindow', 'height=410,width=680,status=no,toolbar=no,menubar=no,location=no,scrollbars=no');
    return true;
};
function OnRun(aid, channel){
    var newWindow = window.open (''+web_url+'playsong.php?id=' + aid + '', 'dedeonemusicwindow', 'height=410,width=680,status=no,toolbar=no,menubar=no,location=no,scrollbars=no');
    return true;
};

//-->